class Metrics:
    """
    Class to store the metrics of the network adapter
    """
    def __init__(self, signal_strength: str, bitrate: str, is_power_save_enabled: bool):
        self.signal_strength = signal_strength
        self.bitrate = bitrate
        self.is_power_save_enabled = is_power_save_enabled

    def __str__(self):
        return f"Signal strength: {self.signal_strength} dBm, Bitrate: {self.bitrate} Mb/s, Power save enabled: {self.is_power_save_enabled}"
